'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var DownloaderInterface = require('./DownloaderInterface.cjs');
var EddsaInterface = require('./EddsaInterface.cjs');
var Signer = require('./Signer.cjs');
var UploaderInterface = require('./UploaderInterface.cjs');

const createMetaplex = () => {
  return {
    uploader: new UploaderInterface.NullUploader(),
    downloader: new DownloaderInterface.NullDownloader(),
    identity: new Signer.NullSigner(),
    eddsa: new EddsaInterface.NullEddsa(),
    use(plugin) {
      plugin.install(this);
      return this;
    }
  };
};

exports.createMetaplex = createMetaplex;
//# sourceMappingURL=Metaplex.cjs.map
