import { NullDownloader } from './DownloaderInterface.mjs';
import { NullEddsa } from './EddsaInterface.mjs';
import { NullSigner } from './Signer.mjs';
import { NullUploader } from './UploaderInterface.mjs';

const createMetaplex = () => {
  return {
    uploader: new NullUploader(),
    downloader: new NullDownloader(),
    identity: new NullSigner(),
    eddsa: new NullEddsa(),
    use(plugin) {
      plugin.install(this);
      return this;
    }
  };
};

export { createMetaplex };
//# sourceMappingURL=Metaplex.mjs.map
