import type { DownloaderInterface } from './DownloaderInterface';
import type { GenericFile } from './GenericFile';
import type { MetaplexPlugin } from './MetaplexPlugin';
import type { UploaderInterface } from './UploaderInterface';
export type MockStorageOptions = {
    baseUrl?: string;
};
export declare class MockStorage implements UploaderInterface, DownloaderInterface {
    protected cache: Record<string, GenericFile>;
    readonly baseUrl: string;
    constructor(options?: MockStorageOptions);
    uploadOne(file: GenericFile): Promise<string>;
    upload(files: GenericFile[]): Promise<string[]>;
    download(uris: string[]): Promise<GenericFile[]>;
    downloadOne(uri: string): Promise<GenericFile>;
}
export declare const mockStorage: (options?: MockStorageOptions) => MetaplexPlugin;
