import { Cluster } from './Cluster';
import type { PublicKey } from './PublicKey';
export type ErrorWithLogs = Error & {
    logs: string[];
};
export type ErrorWithCode = Error & {
    code: number;
};
export declare const isErrorWithLogs: (error: unknown) => error is ErrorWithLogs;
export type Program = {
    name: string;
    address: PublicKey;
    clusterFilter?: (cluster: Cluster) => boolean;
    errorResolver?: (error: ErrorWithLogs) => ErrorWithCode | null | undefined;
};
