/** @group Errors */
export declare class MetaplexError extends Error {
    readonly name: string;
    readonly source: MetaplexErrorSource;
    readonly sourceDetails?: string;
    readonly cause?: Error;
    constructor(message: string, source: MetaplexErrorSource, sourceDetails?: string, cause?: Error);
    getCapitalizedSource(): string;
    getFullSource(): string;
    toString(): string;
}
/** @group Errors */
export type MetaplexErrorSource = 'sdk' | 'network' | 'rpc' | 'plugin' | 'program';
