import { Program } from '../Program';
import { MetaplexError } from './MetaplexError';
/** @group Errors */
export declare class ProgramError extends MetaplexError {
    readonly name: string;
    readonly program: Program;
    readonly logs?: string[];
    constructor(message: string, program: Program, cause?: Error, logs?: string[]);
}
type UnderlyingProgramError = Error & {
    code?: number;
    logs?: string[];
};
/** @group Errors */
export declare class ParsedProgramError extends ProgramError {
    readonly name: string;
    constructor(program: Program, cause: UnderlyingProgramError, logs: string[]);
}
/** @group Errors */
export declare class UnknownProgramError extends ProgramError {
    readonly name: string;
    constructor(program: Program, cause: UnderlyingProgramError);
}
export {};
